<?xml version="1.0" encoding="UTF-8"?>
<section version="5.0" xml:id="deployment-plan-type" xml:lang="en"
         xmlns="http://docbook.org/ns/docbook"
         xmlns:xlink="http://www.w3.org/1999/xlink"
         xmlns:xi="http://www.w3.org/2001/XInclude"
         xmlns:svg="http://www.w3.org/2000/svg"
         xmlns:mml="http://www.w3.org/1998/Math/MathML"
         xmlns:html="http://www.w3.org/1999/xhtml"
         xmlns:db="http://docbook.org/ns/docbook">
  <title>Deployment type</title>

  <para><varname>deployment</varname> is an abstract XML type, and concrete
  type must be declared. Concrete types are for example URL, Maven2 or
  OBR. Each deployment type is defined in its own XML Schema Description file
  (XSD file). In order to use one type, it is necessary to declare a namespace for it.
  Here is an example of namespace declaration :</para>

  <example xml:id="example-namespace-decl">
    <title>example: namespace declaration</title>

    <literallayout language="xml">  &lt;deployment-plan  xmlns="http://jonas.ow2.org/ns/deployment-plan/1.0"
              xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
              xmlns:m2="http://jonas.ow2.org/ns/deployment-plan/maven2/1.0"&gt;  </literallayout>
  </example>

  <para>This a deployment plan contains a namespace for the Maven2
  deployment type using the <varname>m2:</varname> prefix. We can then add a Maven2 deployment :
    <example xml:id="example-m2-deployment">
      <title>example: Maven2 deployment type</title>

      <literallayout language="xml">  &lt;deployment-plan  xmlns="http://jonas.ow2.org/ns/deployment-plan/1.0"
              xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
              xmlns:m2="http://jonas.ow2.org/ns/deployment-plan/maven2/1.0"&gt;
    &lt;deployment xsi:type="m2:maven2-deploymentType ...      </literallayout>
    </example>
  </para>

  <para>The information provided in each deployment element is divided in two parts:
  <itemizedlist>
      <listitem>
        <para>data that is specific to a deployment type (URL, Maven2,
        OBR)</para>
      </listitem>

      <listitem>
        <para>data that can be used in any deployment.</para>
      </listitem>
    </itemizedlist> See the deployment type specific pages for the currently supported
  types : <link linkend="url-data">URL</link>, <link
  linkend="maven2-data">Maven2</link> and <link
  linkend="obr-data">OBR</link></para>
</section>
